.catalog-menu {
    flex: 0 0 calc(100% - 131px);
}

.catalog-menu ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.catalog-menu .catalog-menu__root {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 0 0 100px;
}

.catalog-menu__item {
    position: relative;
}

.catalog-menu__row {
    display: flex;
    align-items: center;
}

.catalog-menu__link {
    display: block;
    padding: 8px 18px;
    color: var(--color-black);
    text-decoration: none;
    white-space: nowrap;
    border-radius: 20px;
    font-family: var(--main-font-medium);
    font-size: 18px;
    line-height: 24px;
}

.catalog-menu__item:hover .catalog-menu__row .catalog-menu__link,
.catalog-menu__item:hover > .catalog-menu__link {
    background: var(--color-black);
    color: #fff;
    text-decoration: none;
}

.catalog-menu__submenu-wrapper {
    position: absolute;
    z-index: 1000;
    top: 100%;
    left: 0;
    display: none;
   
    min-width: 240px;
}

.catalog-menu__submenu-wrapper .catalog-menu__submenu {    
    background: #fff;
    border: 1px solid #ddd;
    /* box-shadow: 0 8px 24px rgb(0 0 0 / 12%); */
    border: 1px solid var(--color-black);
    border-radius: 20px;
    overflow: hidden;
    margin: 4px 0 0 0;
}

.catalog-menu__submenu .catalog-menu__link{
    font-size: 14px;
    border-radius: 0;
}

.catalog-menu__submenu .catalog-menu__link:hover{
   background-color: rgba(19, 19, 19, 0.1);
   color: var(--color-black);
}

/* Третий и последующие уровни открываются вправо */

.catalog-menu__submenu .catalog-menu__submenu {
    top: 0;
    left: 100%;
}

.catalog-menu__item--parent:hover > .catalog-menu__submenu-wrapper,
.catalog-menu__item--opened > .catalog-menu__submenu-wrapper {
    display: block;
}

.catalog-menu__toggle {
    width: 32px;
    height: 32px;
    padding: 0;
    border: 0;
    background: transparent;
    cursor: pointer;
}

.catalog-menu__toggle span {
    display: inline-block;
    width: 7px;
    height: 7px;
    border-right: 2px solid currentColor;
    border-bottom: 2px solid currentColor;
    transform: rotate(45deg);
}

.catalog-menu__submenu .catalog-menu__toggle span {
    transform: rotate(-45deg);
}

.catalog-menu__item--selected > .catalog-menu__row,
.catalog-menu__item--selected > .catalog-menu__link {
    /* background: #f1f1f1; */
}

.catalog-menu__item--selected > .catalog-menu__row > .catalog-menu__link {
    background: var(--color-black);
    color: #fff;
}



